package com.example.demo.controller;

import java.util.List;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.example.demo.dao.UserDAO;
import com.example.demo.dto.UserDTO;

@RestController
@MapperScan(basePackages = "com.example.demo.dao") // 탐색할 패키시 설정
public class UserController {
    @Autowired
    private UserDAO userDAO;// UserDAO bean을 자동으로 주입

    @RequestMapping("/users")
    public List<UserDTO> users(@RequestParam(value = "country", defaultValue = "") String country) throws Exception { // query
                                                                                                                      // String으로
                                                                                                                      // country를
                                                                                                                      // 받도록
                                                                                                                      // 설정
        final UserDTO param = new UserDTO(0, null, country);
        final List<UserDTO> userList = userDAO.selectUsers(param);
        return userList;
    }

}
